#include<iostream>
using namespace std;
int main(){
int n,k,d,o=1,skok;
cin>>n>>d>>k;
for (int i = 1;i < k;i++){
for (int b = 1;b < k;b++){
for (int ip = 1;ip < k;ip++){
while (i <= k){
i = o + d;
b = i + d;
ip = b + d;
}
if (skok > n){
    skok = o;
 }

cout<<i + b + ip<<endl;
}
}

}


/*if (k == k){
obsht = 2 * (1 + d) +(d - 1);
cout<<obsht;

}
*/
}
